# H235_ECKASDH_eckasdh2 Class Reference

`#include <h235.h>`

Inheritance diagram for H235_ECKASDH_eckasdh2:

List of all members.

## Public Member Functions

| H235_ECKASDH_eckasdh2 (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H235_ECpoint | m_public_key
PASN_BitString | m_fieldSize
H235_ECpoint | m_base
PASN_BitString | m_weierstrassA
PASN_BitString | m_weierstrassB

## Constructor & Destructor Documentation

H235_ECKASDH_eckasdh2::H235_ECKASDH_eckasdh2 | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_ECKASDH_eckasdh2::GetDataLength | ( |  | ) | const

PBoolean H235_ECKASDH_eckasdh2::Decode | ( | PASN_Stream & | strm | ) |

void H235_ECKASDH_eckasdh2::Encode | ( | PASN_Stream & | strm | ) | const

void H235_ECKASDH_eckasdh2::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_ECKASDH_eckasdh2::Compare | ( | const PObject & | obj | ) | const

PObject* H235_ECKASDH_eckasdh2::Clone | ( |  | ) | const

## Member Data Documentation

H235_ECpoint H235_ECKASDH_eckasdh2::m_public_key

PASN_BitString H235_ECKASDH_eckasdh2::m_fieldSize

H235_ECpoint H235_ECKASDH_eckasdh2::m_base

PASN_BitString H235_ECKASDH_eckasdh2::m_weierstrassA

PASN_BitString H235_ECKASDH_eckasdh2::m_weierstrassB

The documentation for this class was generated from the following file:

- h235.h